org.eclipse.core.databinding

## Class ValidationStatusProvider

- java.lang.Object
- - org.eclipse.core.databinding.ValidationStatusProvider

Direct Known Subclasses:
  Binding, MultiValidator

    public abstract class ValidationStatusProvider
    extends Object

A validation status provider tracks the state of zero or more target observables and zero or more model observables and produces a validation result.

Since:
  1.1

### Field Summary

Fields
`protected boolean` `disposed`

### Constructor Summary

Constructors
Constructor and Description
`ValidationStatusProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `dispose()` Disposes of this ValidationStatusProvider.
`abstract IObservableList` `getModels()` Returns an `IObservableList` < `IObservable` > containing the model observables (if any) that are being tracked by this validation status provider.
`abstract IObservableList` `getTargets()` Returns an `IObservableList` < `IObservable` > containing the target observables (if any) that are being tracked by this validation status provider.
`abstract IObservableValue` `getValidationStatus()`
`boolean` `isDisposed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### disposed

    protected boolean disposed

### Constructor Detail

#### ValidationStatusProvider

    public ValidationStatusProvider()

### Method Detail

#### getValidationStatus

    public abstract IObservableValue getValidationStatus()

Returns:
  an `IObservableValue`< `IStatus` > containing the current validation status

#### getTargets

    public abstract IObservableList getTargets()

Returns an `IObservableList` < `IObservable` > containing the target observables (if any) that are being tracked by this validation status provider.

Returns:
  an `IObservableList` < `IObservable` > (may be empty)

#### getModels

    public abstract IObservableList getModels()

Returns an `IObservableList` < `IObservable` > containing the model observables (if any) that are being tracked by this validation status provider.

Returns:
  an `IObservableList` < `IObservable` > (may be empty)

#### dispose

    public void dispose()

Disposes of this ValidationStatusProvider. Subclasses may extend, but must call super.dispose().

#### isDisposed

    public boolean isDisposed()

Returns:
  true if the binding has been disposed. false otherwise.